## mrtg 2.5.4c

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	@echo  "* To compile rateup, then type 'make rateup'."
 	@echo  "* Do a 'make substitute' to fix the perl5 pointers in the scripts"
 	@echo  ""
-	@echo  "And now you should realy read the docs!"
+	@echo  "And now you should really read the docs!"
 	@echo  ""
 	@echo  ""
 
@@ -69,7 +69,7 @@
 # Private Parts :-)
 #################################################################
 
-NUMBER = 2.5.2
+NUMBER = 2.5.4c
 VERSION = mrtg-$(NUMBER)
 
 TAR = tar
