## mrtg 2.17.2

=== debian/changelog ===
mrtg (2.17.2-1) unstable; urgency=low

  * New upstream release
    - updated mrtg-squid doc; thanks to Chris Chiappa; Closes: #317813
    - support for glob patterns for include files; thanks to Jamin W. Collins;
      Closes: #245355
    - remove a race-condition when writing new trafic graph files with rateup by
      writing to a temp file and moving it later; thanks to herbert@debian.org;
      Closes: #20641
    - do not load Net_SNMP_util unless snmpv3 is requested; thanks to Martín
      Ferrari; Closes: #404168
    - explicitly import Socket6 routines in SNMP_Session; thanks to Matija
      Grabnar; Closes: #629331
    - adjustment for perl new taint mode (since 5.10); thanks to Julien Savoie
      for the report; Closes: #612550
  * Acknowledge NMU; Closes: #625695
  * debian/README.Debian
    - removed notice about snmpd configuration; thanks to Harald Dunkel for the
      report; Closes: #599802
  * debian/source/format
    - converted to 3.0 (quilt) format
  * debian/patches/bts113894_use_gawk.patch
    - convert [f3f7427] to a proper patch
  * debian/patches/bts457032_fix_doc_location.patch
    - convert [9d8bd7a] to a proper patch
  * debian/patches/fix_for_ipacc.patch
    - convert [75f1393] to a proper patch
  * debian/patches/fix_typos_doc_manpages.patch
    - convert [2867bb3] to a proper patch
  * debian/patches/bts113814_mrtgindx.cgi
    - convert [759fe33] to a proper patch
  * debian/patches/bts167107_nodefaultglobal.patch
    - convert [ef33ad5] to a proper patch
  * debian/patches/dont_create_varlockmrtg.patch
    - convert [369821e] to a proper patch
  * debian/patches/{mrtg_lock_temp_cache_files_fixups.patch,
                    cfgmaker_debian_workdir.patch,
		    iptables-accounting_linewrap.patch}
    - convert part of [02d0030] to a proper patch
  * debian/rules
    - don't remove *.rej and *.orig, they are in the upstream tarball
    - fix build, build-arch, build-indep targets as lintian suggests
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/cron.d
    - don't run if Workdir is not a directory; thanks to Adrian Bridgett for the
      report; Closes: #527315

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2011 16:30:14 +0200

mrtg (2.16.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch from upstream (r285) fixing fatal errors when running
    with perl 5.12; Closes: #625695

 -- Dominic Hargreaves <dom@earth.li>  Fri, 06 May 2011 19:51:19 +0100

mrtg (2.16.3-3) unstable; urgency=low

  * debian/po/vi.po
    - updated debconf PO Vietnamese translation; thanks to Clytie Siddall for
      the report and patch; Closes: #601565

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Dec 2010 09:16:41 +0100

mrtg (2.16.3-2) unstable; urgency=low

  * debian/po/da.po
    - updated debconf PO Danish translation; thanks to Joe Dalton for the report
      and patch; Closes: #585573
  * debian/po/pt.po
    - updated debconf PO Portuguese translation; thanks to Américo Monteiro for
      the report and patch; Closes: #589411
  * debian/po/cs.po
    - updated debconf PO Czech translation; thanks to Michal Simunek for the
      report and patch; Closes: #589531

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Aug 2010 18:37:04 +0200

mrtg (2.16.3-1) unstable; urgency=low

  * New upstream release
  * debian/po/sv.po
    - updated debconf PO Swedish translation; thanks to Martin Bagge for the
      report and patch; Closes: #562926
  * debian/po/fr.po
    - updated debconf PO French translation; thanks to Christian Perrier for the
      report and patch; Closes: #562941
  * debian/po/ru.po
    - updated debconf PO Russian translation; thanks to Yuri Kozlov for the
      report and patch; Closes: #563080
  * debian/po/es.po
    - updated debconf PO Spanish translation; thanks to Francisco Javier
      Cuadrado for the report and patch; Closes: #565717
  * debian/po/de.po
    - updated debconf PO German translation; thanks to Thomas Mueller for the
      report and patch; Closes: #567894
  * bin/mrtg, contrib/mrtg-startup-script/mrtg, debian/mrtg.dirs
    - don't create /var/lock/mrtg at install time, but try it at each invocation
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
  * doc/*
    - fixed some typos in manpages and documentation
  * debian/mrtg.config
    - use 'set -e' instead of 'sh -e' in the shebang
  * debian/copyright
    - split Copyright and License information
    - link to the correct local license file, GPL-2
    - added packaging copyright notice for my contributions

 -- Sandro Tosi <morph@debian.org>  Thu, 18 Mar 2010 23:09:25 +0100

mrtg (2.16.2-5) unstable; urgency=low

  * contrib/{mrtgrq/make-mrtg.cfg.awk, net-hosts/{make-mrtg.cfg.awk,net-hosts}},
    debian/control
    - uses gawk (suggesting it in mrtg-contrib) because mawk doesn't have
      strftime (+ small typo fix); thanks to Theodore Alexandrov for the report
      and patch (that needs to be adapter); Closes: #113894
  * debian/control
    - bump versioned depends on 'libsnmp-session-perl' to '>= 1.12'; thanks to
      Jason Hall for the initial report, to Sumit Madan and Simon A. Boggis for
      following this up, and Niko Tyni for perl analysis; Closes: #411903
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/mrtg.templates
    - updated to indicate it's 'root' the user MRTG runs with; thanks to
      Jonathan Wiltshire for the report; Closes: #521411
  * debian/mrtg.{config, template}, debian/postinst
    - removed 'own_user' debconf template, since not used
  * debian/po/*
    - run debconf-updatepo after debconf template update
  * bin/cfgmaker
    - added 'nodefaultglobal' option, to not include global options by default;
      thanks to Hilko Bengen for the report and patch; Closes: #167107
  * debian/po/fr.po
    - updated debconf PO French translation; thanks to Christian Perrier for the
      report and patch; Closes: #553674
  * debian/po/it.po

