## mrtg 2.17.3

=== debian/changelog ===
mrtg (2.17.3-2ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #913432).  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 08 Jan 2012 18:06:44 +0100

mrtg (2.17.3-2) unstable; urgency=low

  * debian/copyright
    - updated packaging copyright info
  * debian/cron.d
    - fix grep syntax in cronjob; Closes: #653363

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Dec 2011 23:23:53 +0100

mrtg (2.17.3-1) unstable; urgency=low

  * New upstream release
    - add the process id tmp file extensions, to guard against multiple rateup
      instances messing things up for each other; Closes: #600798
    - cfgmaker skip using ifalias (only supported on routers where mrtg knows
      that ifalias exists) if it is undefined and switch to the next item in
      line for ifdesc; Closes: #630725
    - add missing closing brace in HTML template; Closes: #641163
  * debian/cron.d
    - exclude commented lines when checking WorkDir; thanks to Celelibi for the
      report; Closes: #641157
  * debian/po/nl.po
    - updated debconf PO Dutch translation; thanks to Joe Dalton for the report
      and patch; Closes: #652956
  * debian/patches/fix_typos_doc_manpages.patch
    - removed, merged upstream
  * debian/{mrtg.docs, rules}
    - don't install CHANGES directly, it's detected by dh_installchangelogs

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2011 11:41:35 +0100

mrtg (2.17.2-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #890368).  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 24 Aug 2011 22:20:31 +0000

mrtg (2.16.3-3.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Make --ifref default to name.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 18 May 2011 11:51:00 +0530

mrtg (2.16.3-3ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - Make --ifref default to name.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 01 Jan 2011 11:34:45 +0530

mrtg (2.16.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Make --ifref default to name.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 29 Oct 2010 00:51:01 +0200

mrtg (2.16.3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #593109) Remaining changes:
    - Make --ifref default to name.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Wed, 05 May 2010 05:05:36 +0100

mrtg (2.16.2-5ubuntu2) lucid; urgency=low

  * debian/cron.d: Create /var/run/lock if it doesn't exist (LP: #30428,
    #545250). This is also fixed in Debian, so we can drop this change at the
    next merge.

 -- Iain Lane <laney@ubuntu.com>  Tue, 23 Mar 2010 17:40:14 +0000

mrtg (2.16.2-5ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Make --ifref default to name.

 -- Iain Lane <laney@ubuntu.com>  Thu, 07 Jan 2010 17:54:48 +0000

mrtg (2.16.2-4ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Make --ifref default to name.

 -- Iain Lane <laney@ubuntu.com>  Tue, 03 Nov 2009 19:42:01 +0000

mrtg (2.16.2-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #295666), remaining changes:
    - Make --ifref default to name.
    - debian/cron.d: /var/lock/mrtg disappearing on reboot.

 -- Iain Lane <laney@ubuntu.com>  Sat, 08 Nov 2008 18:14:08 +0000

mrtg (2.16.1-2ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes (LP: #224581):
    - Make --ifref default to name.
    - debian/cron.d: /var/log/mrtg disappearing on reboot.
  * HTML documentation dropped upstream (LP: #2019).
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Iain Lane <iain@orangesquash.org.uk>  Sat, 10 May 2008 18:39:08 +0100

mrtg (2.14.7-2ubuntu3) hardy; urgency=low

  * Don't unconditionally remove /var/www/mrtg when purging.
    Changed files: debian/postrm (LP: #162426)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 19 Feb 2008 22:05:03 +0000

mrtg (2.14.7-2ubuntu2) hardy; urgency=low

  * Make --ifref default to name. The order of the interfaces is unreliable,
    and ifref=name is really a much better default.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 24 Oct 2007 01:01:18 +0200

mrtg (2.14.7-2ubuntu1) feisty; urgency=low

  * debian/cron.d: /var/lock/mrtg disappearing on reboot (LP# 30428)
    * Thanks to Victor Hugo dos Santos for the patch
  * Bump debhelper build-dep to >= 5.0.37
  * debian/compat: Bump to 5

 -- Barry deFreese <bddebian@comcast.net>  Fri,  9 Mar 2007 21:26:55 -0500
