=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mrtg
 Section: net
 Priority: extra
-Maintainer: Adam Majer <adamm@zombino.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
 Uploaders: Sandro Tosi <morph@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libgd2-noxpm-dev, libpng-dev|libpng12-dev, zlib1g-dev, debconf-utils, po-debconf
