## mrtg 2.17.4

=== debian/changelog ===
mrtg (2.17.4-4.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Dec 2017 09:48:38 +0100

mrtg (2.17.4-4.1) unstable; urgency=medium

  * NMU to remove Net_SNMP_util module (which is now to be found in
    libsnmp-session-perl).
  * Build-Depend on libgd-dev instead of libgd-dev (Closes: #880776).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 05 Dec 2017 17:41:10 +0100

mrtg (2.17.4-4ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Apr 2016 15:29:09 +0200

mrtg (2.17.4-4) unstable; urgency=medium

  * debian/control
    - b-d only on the unversioned libpng-dev; Closes: #810194
    - bump Standards-Version to 3.9.7 (no changes needed)
    - point Vcs-* to HTTPS
  * debian/po/pt_BR.po
    - udpate Brazilian Portuguese debconf translation; Closes: #799420

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Apr 2016 23:45:07 +0100

mrtg (2.17.4-3ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2016 08:24:32 +0000

mrtg (2.17.4-3) unstable; urgency=medium

  [ Adam Majer ]
  * Added DCN (Digital China Networks) identity patch provided by Paweł
    Gołaszewski. Thank you. Closes: #771894

  [ Sandro Tosi ]
  * remove explicit b-d on perl-modules; thanks to Dominic Hargreaves for the
    report and to Damyan Ivanov for pushing for a fix; Closes: #788153

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2015 18:34:41 +0100

mrtg (2.17.4-2ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:43:16 +0100

mrtg (2.17.4-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 21 Nov 2012 00:16:47 +0700

mrtg (2.17.4-2) unstable; urgency=low

  * debian/po/sv.po
    - updated debconf PO Swedish translation; thanks to Martin Bagge for the
      report and patch; Closes: #681497

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Aug 2012 13:57:30 +0200

mrtg (2.17.4-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1004519). Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 25 May 2012 16:09:54 +0200

mrtg (2.17.4-1) unstable; urgency=low

  * New upstream release
  * debian/po/id.po
    - added debconf PO Indonesian translation; thanks to Mahyuddin Susanto for
      the report and patch; Closes: #660313
  * debian/copyright
    - reformatted to DEP-5 format, bumping packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
    - switching Maintainer and Uploaders fields, to reflect reality

 -- Sandro Tosi <morph@debian.org>  Sat, 19 May 2012 19:11:55 +0200
