=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: net
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
-Uploaders: Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), libgd2-noxpm-dev, libpng-dev|libpng12-dev, zlib1g-dev, debconf-utils, po-debconf
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mrtg.git;a=summary
-Vcs-Git: git://git.debian.org/git/collab-maint/mrtg.git
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Adam Majer <adamm@zombino.com>
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 7), libgd-dev, libpng-dev, zlib1g-dev, debconf-utils, po-debconf
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mrtg.git
+Vcs-Git: https://anonscm.debian.org/git/git/collab-maint/mrtg.git
 Homepage: http://oss.oetiker.ch/mrtg
 
 Package: mrtg
 Architecture: any
-Depends: debconf (>= 1.2.0) | debconf-2.0, libsnmp-session-perl (>= 1.12), perl-modules (>= 5.6.0), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: debconf (>= 1.2.0) | debconf-2.0, libsnmp-session-perl (>= 1.14~git20130523.186a005-1), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mrtg-contrib, httpd | www-browser
 Description: multi router traffic grapher
  The Multi Router Traffic Grapher is a tool primarily used to monitor the
