=== debian/rules ===
--- 
+++ 
@@ -54,10 +54,11 @@
    # Manual install :(
 
 	cp -a lib/mrtg2/*.pm $(TMP)/usr/share/perl5
-	# Remove the three SNMP_Session modules which are now in libsnmp-session-perl
+	# Remove the four SNMP_Session modules which are now in libsnmp-session-perl
 	rm -f $(TMP)/usr/share/perl5/BER.pm
 	rm -f $(TMP)/usr/share/perl5/SNMP_Session.pm
 	rm -f $(TMP)/usr/share/perl5/SNMP_util.pm
+	rm -f $(TMP)/usr/share/perl5/Net_SNMP_util.pm
 	install -m 644 debian/cron.d $(TMP)/etc/cron.d/mrtg
 	install -m 755 bin/cfgmaker $(TMP)/usr/bin
 	install -m 755 bin/indexmaker $(TMP)/usr/bin
@@ -109,7 +110,7 @@
 #	dh_installmanpages
 	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs CHANGES
+	dh_installchangelogs
 	dh_link
 	dh_compress -Xexamples/
 	dh_fixperms
@@ -138,7 +139,7 @@
 #	dh_installmanpages
 	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs CHANGES
+	dh_installchangelogs
 	dh_strip
 	dh_link
 	dh_compress
