=== debian/watch ===
version=3
http://oss.oetiker.ch/mrtg/pub/?M=D	mrtg-(.*)\.tar\.gz	debian	uupdate
