## mrtg 2.17.7

=== debian/changelog ===
mrtg (2.17.7-3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Oct 2021 08:26:33 +0200

mrtg (2.17.7-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New maintainer. Thanks to Sandro Tosi, the previous maintainer.
    (Closes: #995427)
  * Ran wrap-and-sort.
  * Migrated debian/rules to new (reduced) format. Consequently:
      - debian/clean: created to remove some files forgotten by the upstream
        after build/clean sequences.
      - debian/control: added dos2unix and jdupes to Build-Depends to help
        the new debian/rules to solve some issues.
      - debian/exim-stats/: moved to debian/contrib/.
      - debian/mrtg-contrib.install: created to install all needed files for
        mrtg-contrib binary.
      - debian/mrtg.dirs: removed the directories names already created by
        debian/mrtg.install.
      - debian/mrtg.docs: removed because all needed docs are being installed
        by mrtg.install and dh_* (e.g. dh_installchangelogs).
      - debian/mrtg.install:
          ~ Updated to install all possible data from debian/tmp/.
          ~ Added usr/bin/mrtg-traffic-sum, not present in previous releases.
      - debian/mrtg.manpages: moved the main content to debian/mrtg.manpages.
        Now, this file only installs debian/contrib/rateup.1.
      - debian/not-installed: created to list some upstream files not installed
        in final binaries.
      - debian/rateup.1: moved to debian/contrib/.
      - debian/sample-mrtg.cfg: moved to debian/contrib/config/.
  * debian/docs: removed. The content of this file was only THANKS, already
    in debian/mrtg.docs (also removed from the package, see above).
  * debian/mrtg-contrib.dirs: removed because the new file
    debian/mrtg-contrib.install already creates all needed directories.
  * debian/mrtg.templates.hold: removed. This template was deprecated in
    revision 2.16.2-5, released on 2009-11-12.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: created to perform CI tests.

  [ Debian Janitor ]
 * Remove constraints unnecessary since buster:
    + mrtg: Drop versioned constraint on debconf and libsnmp-session-perl in
      Depends.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 01 Oct 2021 22:41:48 -0300

mrtg (2.17.7-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Jan 2021 23:09:59 +0100

mrtg (2.17.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * debian/control
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/copyright
    - extend packaging copyright years
  * debian/watch
    - bump standard to version 4

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Dec 2020 23:23:44 -0500

mrtg (2.17.7-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Feb 2019 11:30:45 +0100

mrtg (2.17.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * New upstream release
  * Acknowledge NMU; Closes: #880776
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
    - remove Adam Majer from Uploaders, thanks for your contributions!
  * debian/patches/*
    - refresh, remove patch merged upstream
  * debian/watch
    - use HTTPS

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Feb 2019 15:14:12 -0500
