=== debian/control ===
Source: mrtg
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Standards-Version: 4.5.1
Build-Depends: debconf-utils,
               debhelper-compat (= 13),
               dos2unix,
               jdupes,
               libgd-dev,
               libpng-dev,
               po-debconf,
               zlib1g-dev
Vcs-Browser: https://salsa.debian.org/debian/mrtg
Vcs-Git: https://salsa.debian.org/debian/mrtg.git
Homepage: https://oss.oetiker.ch/mrtg

Package: mrtg
Architecture: any
Depends: debconf | debconf-2.0,
         libsnmp-session-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: httpd | www-browser, mrtg-contrib
Description: multi router traffic grapher
 The Multi Router Traffic Grapher is a tool primarily used to monitor the
 traffic load on network links (typically by using SNMP). MRTG generates HTML
 pages containing PNG images which provide a LIVE visual representation of this
 traffic. MRTG typically produces daily, weekly, monthly, and yearly graphs.
 .
 In addition to monitoring via SNMP, MRTG can also generate graphs based on
 the output of any application, allowing one to generate graphs of anything
 that needs monitoring (for example, CPU and memory usage, email volumes, web
 hits, etc). For faster data collection, MRTG can also interface to RRDtool.
 .
 The mrtg-contrib package contains the contributed scripts and configuration
 files that used to form part of the mrtg package.

Package: mrtg-contrib
Architecture: all
Depends: mrtg (<< ${source:Version}.1~),
         mrtg (>= ${source:Version}),
         ${misc:Depends}
Suggests: cricket, gawk
Description: multi router traffic grapher (contributed files)
 A collection of sample scripts and configuration files for the Multi Router
 Traffic Grapher (MRTG). This package contains the contributed files that ship
 with MRTG.
