=== debian/tests/control ===
Test-Command: mkdir $AUTOPKGTEST_TMP/mrtg;
              cp debian/tests/mrtg.cfg $AUTOPKGTEST_TMP;
              sed -i "s,DIR,$AUTOPKGTEST_TMP," $AUTOPKGTEST_TMP/mrtg.cfg;
              # First run to generate an initial log
              LANG=C /usr/bin/mrtg $AUTOPKGTEST_TMP/mrtg.cfg 2>&1 | grep -o " " | head -n1 && echo "Generated an initial log.";
              echo "Running mrtg...";
              LANG=C /usr/bin/mrtg $AUTOPKGTEST_TMP/mrtg.cfg;
              ls -lh $AUTOPKGTEST_TMP/mrtg;
              cd $AUTOPKGTEST_TMP/mrtg;
              [ -s 2numbers-day.png ] || exit 1;
              [ -s 2numbers-week.png ] || exit 1;
              [ -s 2numbers-month.png ] || exit 1;
              [ -s 2numbers-year.png ] || exit 1;
              egrep "980 123" 2numbers.log
Restrictions: needs-root
