## mrtg 2.17.8+git20211026.912afc5

=== debian/changelog ===
mrtg (2.17.8+git20211026.912afc5-5) unstable; urgency=medium

  * debian/po/sv.po: fixed a mistake in translation. (Closes: #998750)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Nov 2021 13:45:59 -0300

mrtg (2.17.8+git20211026.912afc5-4) unstable; urgency=medium

  * debian/po/sv.po: added translation for Swedish. Thanks to
    Martin Bagge / brother <brother@persilja.net>. (Closes: #998433)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Nov 2021 13:28:44 -0300

mrtg (2.17.8+git20211026.912afc5-3) unstable; urgency=medium

  * debian/po/cs.po: added translation for Czech. Thanks to
    Michal Simunek <michal.simunek@gmail.com>. (Closes: #998357)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 03 Nov 2021 16:17:45 -0300

mrtg (2.17.8+git20211026.912afc5-2) unstable; urgency=medium

  * debian/mrtg.README.Debian: updated group name for some directories.
  * debian/mrtg.service: added options LogsDirectory, LogsDirectoryMode,
    StateDirectory and StateDirectoryMode, all needed to allow MRTG to create
    /var/lib/mrtg and /var/log/mrtg while using the User option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 20:21:51 -0300

mrtg (2.17.8+git20211026.912afc5-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211026.912afc5.
  * debian/mrtg.service:
      - Added PIDFile option, as recommended by SYSTEMD.SERVICE(5).
      - Added User option, to automatically populate environment variables like
        USER and HOME. Thanks to Norman Rasmussen norman@darkskies.za.net.
        (Closes: #998158)
      - Added RuntimeDirectory option to automatically create /run/mrtg/. This
        option is required while using the User option.
  * debian/patches/030_fix-accented-words.patch: removed because the upstream
    fixed the source code. Thanks.
  * debian/po/: added the following translations:
      - de.po. Thanks to Helge Kreutzmann <debian@helgefjell.de>.
        (Closes: #998176)
      - pt.po. Thanks to Américo Monteiro <a_monteiro@gmx.com>.
        (Closes: #998079)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 13:46:32 -0300

mrtg (2.17.8+git20211022.f52e91e-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211022.f52e91e. Some features:
      - Now, MRTG creates directories /run/mrtg/, /var/lib/mrtg/,
        /var/lock/mrtg/ and /var/log/mrtg/ automatically if they not exist when
        using --fhs option.
      - Moved the config file (in source code) from /etc/ to /etc/mrtg/.
        (Closes: #245357)
      - The lock file will be removed if the pid file no longer exists.
        (Closes: #996787)
      - Updated to use FHS 3.0 instead of 2.3 when calling the --fhs option.
        (Closes: #996786)
  * From now, MRTG will run on Debian under a non-root user. Consequently,
    the following files were removed:
      - debian/mrtg.config
      - debian/mrtg.templates
      - debian/po/*
  * Moved all examples from 'mrtg' to 'mrtg-contrib'. Consequently:
      - debian/mrtg-contrib.links: created to make a link between the new and
        the old places.
      - Updated the following files to act over the new place:
          ~ debian/mrtg-contrib.install
          ~ debian/mrtg-contrib.lintian-overrides
          ~ debian/rules
  * New debconf to make adjustments in /var/www/html/mrtg. Consequently:
      - Re-created with a new content:
          ~ debian/mrtg.config
          ~ debian/mrtg.templates
          ~ debian/po/*
      - debian/mrtg.postinst: added new commands to create or fix permissions
        for /var/www/html/mrtg.
  * This Debian revision is providing the following scripts to start MRTG:
      - /debian/mrtg.init, for init.d. (Closes: #245358, LP: #358123)
      - /debian/mrtg.service, for systemd.
  * debian/contrib/config/mrtg.cfg:
      - Moved to debian/config/mrtg.cfg.
      - Updated the content.
  * debian/control:
      - Added 'Pre-Depends: ${misc:Pre-Depends}', needed for
        debian/post{inst,rm}.
      - Improved long description for mrtg-contrib.
      - Removed no longer needed relationships from mrtg in Depends field for
        mrtg-contrib binary.
  * debian/copyright: updated upstream packaging copyright years.
  * debian/cron.d: removed because this file was created before MRTG has the
    --daemon option (available since version 2.9.27). Running via cron works
    but this is a primitive mode. From now, MRTG on Debian will use init.d and
    systemd to run.
  * debian/logrotate: renamed to debian/mrtg.logrotate.
  * debian/mrtg.dirs: removed because MRTG now creates var/lib/mrtg/ and
    var/log/mrtg/ directories automatically if running with --fhs (default in
    Debian from now).
  * debian/mrtg.install: moved mrtg.cfg from /etc/ to /etc/mrtg/.
    (Closes: #245357)
  * debian/mrtg.doc-base.configuration: renamed to debian/mrtg.doc-base.
  * debian/mrtg.NEWS: created.
  * debian/mrtg-contrib.lintian-overrides: updated, adding, removing and
    changing some content. Note that all content of mrtg-contrib are examples
    sent for MRTG project from the community.
  * debian/patches/:
      - 010-mrtg_lock_temp_cache_files_fixups.patch: dropped why we have the
        option --fhs since MRTG 2.9.27, released in 2003-02-19.
        (Closes: #997095)
      - 010_enable-www-dir.patch: added to enable 'WorkDir: /var/www/html/mrtg'
        for Debian.
      - 030_fix-accented-words.patch: created to fix some accented words in
        Brazilian Portuguese.
      - 100-remove_joke.patch: removed because I no longer need massive tests,
        so is a good idea to keep the original upstream source code.
      - 150-fix_privacy_breach.patch: renamed to 020_fix-privacy-breach.patch.
      - Removed because the upstream fixed the source code (thanks):
          ~ 040-bts113814_mrtgindx_cgi.patch
          ~ 060-dont_create_varlockmrtg.patch (Closes: #997095)
          ~ 070-cfgmaker_debian_workdir.patch
  * debian/postinst:

