## mrtg 2.17.8+git20211109.9205d1d

=== debian/changelog ===
mrtg (2.17.8+git20211109.9205d1d-3) unstable; urgency=medium

  * debian/po/es.po: added translation for Spanish. Thanks to
    Camaleón <noelamac@gmail.com>. (Closes: #1003518)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jan 2022 13:11:36 -0300

mrtg (2.17.8+git20211109.9205d1d-2) unstable; urgency=medium

  * Created a new debconf process to handle the cron script created via old
    versions of the MRTG. Consequently:
      - Updated the following files:
          ~ debian/mrtg.config
          ~ debian/mrtg.postinst
          ~ debian/mrtg.templates
      - Translations:
          ~ debian/po/*: updated all templates.
          ~ debian/po/pt_BR.po: updated the translation.
          ~ debian/po/pt.po: updated the translation. Thanks to Américo
            Monteiro <a_monteiro@gmx.com>.
      - Closes: #1003338
  * debian/copyright: updated packaging copyright years.
  * debian/mrtg-contrib.lintian-overrides: updated overrides about Perl4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Jan 2022 12:01:26 -0300

mrtg (2.17.8+git20211109.9205d1d-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211109.9205d1d.
  * debian/po/:
      - fr.po: added translation for French. Thanks to
        Jean-Pierre Giraud <jenapierregiraud75@free.fr>. (Closes: #998797)
      - nl.po: added translation for Dutch. Thanks to
        Frans Spiesschaert <Frans.Spiesschaert@yucom.be>. (Closes: #998829)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 09 Nov 2021 16:55:54 -0300
