=== debian/control ===
--- 
+++ 
@@ -2,28 +2,29 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debconf-utils,
-               debhelper-compat (= 13),
+Standards-Version: 4.6.0.1
+Build-Depends: debhelper-compat (= 13),
                dos2unix,
                jdupes,
                libgd-dev,
                libpng-dev,
                po-debconf,
                zlib1g-dev
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/mrtg
 Vcs-Git: https://salsa.debian.org/debian/mrtg.git
 Homepage: https://oss.oetiker.ch/mrtg
 
 Package: mrtg
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: debconf | debconf-2.0,
          libsnmp-session-perl,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Suggests: httpd | www-browser, mrtg-contrib
-Description: multi router traffic grapher
+Description: Multi Router Traffic Grapher
  The Multi Router Traffic Grapher is a tool primarily used to monitor the
  traffic load on network links (typically by using SNMP). MRTG generates HTML
  pages containing PNG images which provide a LIVE visual representation of this
@@ -39,11 +40,10 @@
 
 Package: mrtg-contrib
 Architecture: all
-Depends: mrtg (<< ${source:Version}.1~),
-         mrtg (>= ${source:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends}, mrtg
 Suggests: cricket, gawk
-Description: multi router traffic grapher (contributed files)
+Description: Multi Router Traffic Grapher (contributed files)
  A collection of sample scripts and configuration files for the Multi Router
  Traffic Grapher (MRTG). This package contains the contributed files that ship
- with MRTG.
+ with MRTG. Note these scripts were produced by some users in several systems,
+ like Linux and MS Windows.
